import 'package:example/com.xh.example/model/user_info_model.dart';
import 'package:flutter/material.dart';
import 'package:xh_framework/com/xh/base/xh_widget.dart';

class UserInfo extends XHStatefulWidget<UserInfoModel> {
  UserInfo({onTap, data}) : super(onTap: onTap, data: data);

  @override
  State<XHStatefulWidget> createState() {
    return UserInfoState(data);
  }
}

class UserInfoState extends XHStatefulWidgetState<UserInfo, UserInfoModel> {
  UserInfoState(data) : super(data: data);

  @override
  Widget build(BuildContext context) {
    var userNameType = TextStyle(color: Colors.black, fontSize: 22);
    var infoTextStyle = TextStyle(color: Color(0xff72777B), fontSize: 15);
    var left = InkWell(
      onTap: () => onChildTap(1, data.image.toString()),
      child: ClipOval(
        child: widget.data.image,
      ),
    );

    var user = Row(
      children: <Widget>[
        Text(
          data.name,
          style: userNameType,
        ),
        ClipRRect(
          borderRadius: BorderRadius.all(Radius.circular(5)),
          child: Container(
            padding: EdgeInsets.symmetric(horizontal: 6, vertical: 3),
            color: Color(0xff34D19B),
            child: Text(
              "LV ${data.lever}",
              style: TextStyle(color: Colors.white, fontSize: 15),
            ),
          ),
        )
      ],
    );

    var info = Row(
      children: <Widget>[
        Container(
          margin: EdgeInsets.only(right: 5),
          child: Icon(Icons.next_week, size: 15),
        ),
        Text(
          data.company + " | " + data.position,
          style: infoTextStyle,
        )
      ],
    );

    var say = Row(
      crossAxisAlignment: CrossAxisAlignment.baseline,
      textBaseline: TextBaseline.ideographic,
      children: <Widget>[
        Container(
          margin: EdgeInsets.only(right: 5),
          child: Icon(Icons.keyboard, size: 15),
        ),
        Expanded(child: Text(data.proverbs, style: infoTextStyle))
      ],
    );
    var right = Column(
      crossAxisAlignment: CrossAxisAlignment.center,
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        Row(
          children: <Widget>[
            Icon(
              Icons.language,
              size: 18,
            ),
            Padding(
                padding: EdgeInsets.symmetric(horizontal: 10),
                child: Icon(Icons.local_pharmacy, size: 18)),
            Icon(
              Icons.person_pin_circle,
              size: 18,
            )
          ],
        ),
        OutlineButton(
          onPressed: () => onChildTap(2, data),
          child: Text(
            '编辑资料',
            style: TextStyle(
              fontSize: 15,
            ),
          ),
          textTheme: ButtonTextTheme.primary,
          borderSide: BorderSide(color: Color(0xff6F80F7), width: 1),
        )
      ],
    );

    var center = Column(
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[user, info, say],
    );

    var result = InkWell(
      child: Card(
          child: Row(
        children: <Widget>[
          Container(
            margin: EdgeInsets.only(left: 10, right: 10),
            child: left,
          ),
          Expanded(child: center),
          Container(
            margin: EdgeInsets.only(left: 10, right: 10),
            child: right,
          ),
        ],
        mainAxisAlignment: MainAxisAlignment.spaceAround,
      )),
      onTap: () => onChildTap(3, data),
    );

    return result;
  }
}
