import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:xh_framework/com/xh/callback/on_tap_callback.dart';

class XHAlertDialog extends AlertDialog {
  XHAlertDialog(this.context,
      {this.title,
      this.content,
      this.cancel,
      this.confirm,
      this.onTap,
      this.autoClose})
      : super(title: title, content: content, actions: <Widget>[
          FlatButton(
            child: Text(cancel),
            onPressed: () {
              if (autoClose == null || autoClose) {
                Navigator.of(context).pop();
              }
              if (onTap != null) {
                onTap(1, 'cancel');
              }
            },
          ),
          FlatButton(
            child: Text(confirm),
            onPressed: () {
              if (autoClose == null || autoClose) {
                Navigator.of(context).pop();
              }
              if (onTap != null) {
                onTap(2, 'confirm');
              }
            },
          )
        ]);
  final BuildContext context;
  final Widget title;
  final Widget content;
  final String cancel;
  final String confirm;
  final OnTapCallback onTap;
  final bool autoClose;
}

class XHCupertinoAlertDialog extends CupertinoAlertDialog {
  XHCupertinoAlertDialog(this.context,
      {this.title,
      this.content,
      this.cancel,
      this.confirm,
      this.onTap,
      this.autoClose})
      : super(title: title, content: content, actions: <Widget>[
          CupertinoButton(
            child: Text(cancel),
            onPressed: () {
              if (autoClose == null || autoClose) {
                Navigator.of(context).pop();
              }
              if (onTap != null) {
                onTap(1, 'cancel');
              }
            },
          ),
          CupertinoButton(
            child: Text(confirm),
            onPressed: () {
              if (autoClose == null || autoClose) {
                Navigator.of(context).pop();
              }
              if (onTap != null) {
                onTap(2, 'confirm');
              }
            },
          )
        ]);
  final BuildContext context;
  final Widget title;
  final Widget content;
  final String cancel;
  final String confirm;
  final OnTapCallback onTap;
  final bool autoClose;
}
