import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:xh_framework/com/xh/callback/on_tap_callback.dart';


class XHSimpleDialog extends SimpleDialog {
  XHSimpleDialog(this.context,
      {this.title, this.list, this.onTap, this.autoClose})
      : super(
            title: title,
            children: list.map((item) {
              return SimpleDialogOption(
                child: Row(
                  children: <Widget>[Text(item)],
                ),
                onPressed: () {
                  if (autoClose == null || autoClose) {
                    Navigator.of(context).pop();
                  }
                  if (onTap != null) {
                    onTap(0, item);
                  }
                },
              );
            }).toList());

  final BuildContext context;

  final Widget title;

  final List<String> list;

  final OnTapCallback onTap;
  final bool autoClose;
}

