class NetworkConfig {
  static NetworkConfig _instance;

  NetworkConfig._internal();

  factory NetworkConfig.getInstance() => _getInstance();

  static _getInstance() {
    if (_instance == null) {
      _instance = NetworkConfig._internal();
    }
    return _instance;
  }

  int connectTimeout = 15000;
  int writeTimeout = 15000;
  int readTimeout = 30000;
  Map<String, dynamic> commParameter = {};
  String baseUrl;
  String proxyHostAndPort;

  NetworkConfig setConnectTimeout(int connectTimeout) {
    this.connectTimeout = connectTimeout;
    return this;
  }

  NetworkConfig setProxyHostAndPort(String proxyHostAndPort) {
    this.proxyHostAndPort = proxyHostAndPort;
    return this;
  }

  String getProxyHostAndPort() {
    return proxyHostAndPort;
  }

  int getConnectTimeout() {
    return connectTimeout;
  }

  NetworkConfig setWriteTimeout(int writeTimeout) {
    this.writeTimeout = writeTimeout;
    return this;
  }

  int getWriteTimeout() {
    return writeTimeout;
  }

  NetworkConfig setReadTimeout(int readTimeout) {
    this.readTimeout = readTimeout;
    return this;
  }

  int getReadTimeout() {
    return readTimeout;
  }

  NetworkConfig setCommParameter(Map<String, dynamic> commParameter) {
    this.commParameter = commParameter;
    return this;
  }

  Map<String, dynamic> getCommParameter() {
    return commParameter;
  }

  NetworkConfig setBaseUrl(String baseUrl) {
    this.baseUrl = baseUrl;
    return this;
  }

  String getBaseUrl() {
    return baseUrl;
  }
}
